Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## juzu
Enum Scope

    java.lang.Object
      java.lang.Enum<Scope>
          juzu.Scope

All Implemented Interfaces:
  Serializable, Comparable<Scope>

    public enum Scope

extends Enum<Scope>

Author:
  Julien Viet

Enum Constant Summary
`FLASH` todo : study more in depth how flash scoped is propagated to other phase, specially the resource phase todo : that should kind of have an ID.
`IDENTITY`
`REQUEST`
`SESSION`
`SINGLETON`

Method Summary
`Class<? extends Annotation>` | `getAnnotationType()`
`abstract boolean` | `isBuiltIn()`
`static Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLETON

    public static final Scope SINGLETON

### REQUEST

    public static final Scope REQUEST

### SESSION

    public static final Scope SESSION

### FLASH

    public static final Scope FLASH

  todo : study more in depth how flash scoped is propagated to other phase, specially the resource phase todo : that should kind of have an ID.

### IDENTITY

    public static final Scope IDENTITY

Method Detail

### values

    public static Scope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Scope c : Scope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Scope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isBuiltIn

    public abstract boolean isBuiltIn()

### getAnnotationType

    public Class<? extends Annotation> getAnnotationType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.